Bug 1418564 - [Docs][RFE][Ironic] Document manual cleaning support for Bare Metal Provisioning
Summary: [Docs][RFE][Ironic] Document manual cleaning support for Bare Metal Provisioning
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: documentation
Version: 9.0 (Mitaka)
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: async
: 9.0 (Mitaka)
Assignee: Sandra McCann
QA Contact: Martin Lopes
URL:
Whiteboard:
Depends On: 1337739
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-02 05:54 UTC by Lucy Bopf
Modified: 2017-03-24 15:39 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-03-24 15:39:49 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Lucy Bopf 2017-02-02 05:54:31 UTC
RHOSP 9 supports manual cleaning, which allows operators to move a node directly into a cleaning state, from a manageable state.
This was added because operators may run cleaning steps for various reasons, including: Building RAID, erasing devices, among others.
As a result, operators are now able to use the OpenStack Bare Metal (ironic) API to manually start the cleaning process for the ironic nodes, choosing exactly which steps should be run.

The steps for manual cleaning must be investigated and documented.

See http://docs.openstack.org/developer/ironic/deploy/cleaning.html?highlight=manual%20cleaning#manual-cleaning for upstream examples.

Comment 1 Lucy Bopf 2017-02-21 01:24:08 UTC
Assigning to Sandra for review.

Comment 4 Martin Lopes 2017-03-20 02:12:51 UTC
Looks good to me. Merged.


Note You need to log in before you can comment on or make changes to this bug.